{ class.c }
function rb_class_new(super: Tvalue): Tvalue;
function rb_singleton_class_new(super: Tvalue): Tvalue;
function rb_singleton_class_clone(klass: Tvalue): Tvalue;
procedure rb_singleton_class_attached(klass, obj: Tvalue);
function rb_define_class_id(id: Tid; super: Tvalue): Tvalue;
function rb_module_new: Tvalue;
function rb_define_module_id(id: Tid): Tvalue;
function rb_mod_included_modules(module: Tvalue): Tvalue;
function rb_mod_ancestors(module: Tvalue): Tvalue;
function rb_class_instance_methods(argc: Integer; argv: Pvalue; module: Tvalue): Tvalue;
function rb_class_protected_instance_methods(argc: Integer; argv: Pvalue; module: Tvalue): Tvalue;
function rb_class_private_instance_methods(argc: Integer; argv: Pvalue; module: Tvalue): Tvalue;
function rb_obj_singleton_methods(obj: Tvalue): Tvalue;
procedure rb_define_method_id(klass: Tvalue; name: Tid; func: TFunc0; argc: Integer);
procedure rb_define_protected_method(klass: Tvalue; const name: PChar; func: TFunc0; argc: Integer);
procedure rb_define_private_method(klass: Tvalue; const name: PChar; func: TFunc0; argc: Integer);
procedure rb_define_singleton_method(obj: Tvalue; const name: PChar; func: TFunc0; argc: Integer);
function rb_singleton_class(obj: Tvalue): Tvalue;

